Need help tracking down a patch

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Need help tracking down a patch

Jay Treacy
Hello,
A bug has been filed against the debian package of gramps. This bug
was fixed in 3.2.4 and I need help tracking down the patch(es) that
fix this bug. The bug I'm interested in is the one that corresponds
to the following line in the changelog:
  * fix a crash on newer distro's after an export is finished
I've looked through the svn log and it isn't clear which patch(es)
fixed this.

Why don't I just upgrade the package to 3.2.4? Debian is currently in
deep freeze for the upcoming release. While you and I may agree that
3.2.4 is better, there are strict guidelines and only bug fixes are
allowed at this point. Thus, I need to apply only the patches that fix
this bug if I want it to get into the upcoming release. Of course,
once the release occurs, I will upload the latest version.

Thanks.

--
James (Jay) Treacy
[hidden email]

------------------------------------------------------------------------------
Centralized Desktop Delivery: Dell and VMware Reference Architecture
Simplifying enterprise desktop deployment and management using
Dell EqualLogic storage and VMware View: A highly scalable, end-to-end
client virtualization framework. Read more!
http://p.sf.net/sfu/dell-eql-dev2dev
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re : Need help tracking down a patch

jerome
Hello,


There is a list of fixed bugs for 3.2.4, on:
http://www.gramps-project.org/bugs/changelog_page.php?version_id=21

But I do not see something which sounds like this message !

Maybe rev15739, 15770 ? #3955 #4166
http://www.gramps-project.org/bugs/view.php?id=3955
http://www.gramps-project.org/bugs/view.php?id=4166

http://gramps.svn.sourceforge.net/viewvc/gramps?view=revision&revision=15739
http://gramps.svn.sourceforge.net/viewvc/gramps?view=revision&revision=15770



Jérôme

--- En date de : Lun 15.11.10, James A. Treacy <[hidden email]> a écrit :

> De: James A. Treacy <[hidden email]>
> Objet: [Gramps-devel] Need help tracking down a patch
> À: [hidden email]
> Date: Lundi 15 novembre 2010, 18h22
> Hello,
> A bug has been filed against the debian package of gramps.
> This bug
> was fixed in 3.2.4 and I need help tracking down the
> patch(es) that
> fix this bug. The bug I'm interested in is the one that
> corresponds
> to the following line in the changelog:
>   * fix a crash on newer distro's after an export is
> finished
> I've looked through the svn log and it isn't clear which
> patch(es)
> fixed this.
>
> Why don't I just upgrade the package to 3.2.4? Debian is
> currently in
> deep freeze for the upcoming release. While you and I may
> agree that
> 3.2.4 is better, there are strict guidelines and only bug
> fixes are
> allowed at this point. Thus, I need to apply only the
> patches that fix
> this bug if I want it to get into the upcoming release. Of
> course,
> once the release occurs, I will upload the latest version.
>
> Thanks.
>
> --
> James (Jay) Treacy
> [hidden email]
>
> ------------------------------------------------------------------------------
> Centralized Desktop Delivery: Dell and VMware Reference
> Architecture
> Simplifying enterprise desktop deployment and management
> using
> Dell EqualLogic storage and VMware View: A highly scalable,
> end-to-end
> client virtualization framework. Read more!
> http://p.sf.net/sfu/dell-eql-dev2dev
> _______________________________________________
> Gramps-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-devel
>


     

------------------------------------------------------------------------------
Centralized Desktop Delivery: Dell and VMware Reference Architecture
Simplifying enterprise desktop deployment and management using
Dell EqualLogic storage and VMware View: A highly scalable, end-to-end
client virtualization framework. Read more!
http://p.sf.net/sfu/dell-eql-dev2dev
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re: Re : Need help tracking down a patch

Benny Malengier
Yes James, just use the version of ExportAssistant of revision 15770
http://gramps.svn.sourceforge.net/viewvc/gramps/branches/maintenance/gramps32/src/ExportAssistant.py?view=log

The issue was fixed first via a hack from me, then in a nicer way via a contributed patch.
Note that 3.2.5 will be out soon, so you might skip 3.2.4 (which is by error not python 2.5 compatible).

Benny

2010/11/15 jerome <[hidden email]>
Hello,


There is a list of fixed bugs for 3.2.4, on:
http://www.gramps-project.org/bugs/changelog_page.php?version_id=21

But I do not see something which sounds like this message !

Maybe rev15739, 15770 ? #3955 #4166
http://www.gramps-project.org/bugs/view.php?id=3955
http://www.gramps-project.org/bugs/view.php?id=4166

http://gramps.svn.sourceforge.net/viewvc/gramps?view=revision&revision=15739
http://gramps.svn.sourceforge.net/viewvc/gramps?view=revision&revision=15770



Jérôme

--- En date de : Lun 15.11.10, James A. Treacy <[hidden email]> a écrit :

> De: James A. Treacy <[hidden email]>
> Objet: [Gramps-devel] Need help tracking down a patch
> À: [hidden email]
> Date: Lundi 15 novembre 2010, 18h22
> Hello,
> A bug has been filed against the debian package of gramps.
> This bug
> was fixed in 3.2.4 and I need help tracking down the
> patch(es) that
> fix this bug. The bug I'm interested in is the one that
> corresponds
> to the following line in the changelog:
>   * fix a crash on newer distro's after an export is
> finished
> I've looked through the svn log and it isn't clear which
> patch(es)
> fixed this.
>
> Why don't I just upgrade the package to 3.2.4? Debian is
> currently in
> deep freeze for the upcoming release. While you and I may
> agree that
> 3.2.4 is better, there are strict guidelines and only bug
> fixes are
> allowed at this point. Thus, I need to apply only the
> patches that fix
> this bug if I want it to get into the upcoming release. Of
> course,
> once the release occurs, I will upload the latest version.
>
> Thanks.
>
> --
> James (Jay) Treacy
> [hidden email]
>
> ------------------------------------------------------------------------------
> Centralized Desktop Delivery: Dell and VMware Reference
> Architecture
> Simplifying enterprise desktop deployment and management
> using
> Dell EqualLogic storage and VMware View: A highly scalable,
> end-to-end
> client virtualization framework. Read more!
> http://p.sf.net/sfu/dell-eql-dev2dev
> _______________________________________________
> Gramps-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-devel
>




------------------------------------------------------------------------------
Centralized Desktop Delivery: Dell and VMware Reference Architecture
Simplifying enterprise desktop deployment and management using
Dell EqualLogic storage and VMware View: A highly scalable, end-to-end
client virtualization framework. Read more!
http://p.sf.net/sfu/dell-eql-dev2dev
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel


------------------------------------------------------------------------------
Beautiful is writing same markup. Internet Explorer 9 supports
standards for HTML5, CSS3, SVG 1.1,  ECMAScript5, and DOM L2 & L3.
Spend less time writing and  rewriting code and more time creating great
experiences on the web. Be a part of the beta today
http://p.sf.net/sfu/msIE9-sfdev2dev
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel